"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.componentDocMdastBuilder = exports.mdastBuilder = void 0;
const u = require("unist-builder");
const tableMdastBuilder_1 = require("./tableMdastBuilder");
exports.mdastBuilder = (docs) => [].concat(...docs.map(vo => exports.componentDocMdastBuilder(vo)));
exports.componentDocMdastBuilder = (componentDoc) => [
    u('heading', { depth: 3 }, [u('text', componentDoc.displayName)]),
    u('text', componentDoc.description),
    u('heading', { depth: 4 }, [u('text', 'Props')]),
    tableMdastBuilder_1.tableMdastBuilder(Object.values(componentDoc.props), [
        {
            title: 'Name',
            render: (vo) => vo.required ? [u('text', vo.name), u('text', ' '), u('emphasis', [u('text', '(required)')])] : vo.name,
        },
        {
            title: 'Type',
            render: (vo) => vo.type.name,
        },
        {
            title: 'Default value',
            render: (vo) => { var _a; return ((_a = vo.defaultValue) === null || _a === void 0 ? void 0 : _a.value) || ''; },
        },
        {
            title: 'Description',
            render: (vo) => vo.description,
        },
    ]),
];
//# sourceMappingURL=mdastBuilder.js.map